import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsBackdrop as GdsBackdropClass } from "../../../components/popover/backdrop.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsBackdrop = (props) => {
  GdsBackdropClass.define();
  const JSXElement = getReactComponent("gds-backdrop");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsBackdrop.displayName = "GdsBackdrop";
export {
  GdsBackdrop
};
